<template>
  <div>
    <div v-if="sensorData.toString().length > 3">

      <br/>
      <div class="btn-group" role="group" aria-label="data switch">

        <button type="button" class="btn btn-primary mr-1" v-on:click="getWeeklyData()">Sprawdź dane z ostatniego
          tygodnia
        </button>

        <button type="button" class="btn btn-primary mr-1" v-on:click="getMontlyData()">Sprawdź dane z ostatniego
          miesiąca
        </button>

        <button type="button" class="btn btn-primary mr-1" v-on:click="getWholeData()">Sprawdź dane z całego okresu działania sensora
        </button>

      </div>

      <br/> <br/> <br/>

      <h3> Dane {{ title }}: </h3>
      <MonthlyTempChart v-bind:passedData="sensorData"></MonthlyTempChart>
      <MonthlyHumidChart v-bind:passedData="sensorData"></MonthlyHumidChart>

    </div>
    <div v-if="sensorData.toString().length < 3">
      <h3>Brak danych {{ title }}!</h3>
    </div>
  </div>
</template>

<script>
import SensorService from "@/services/sensor.service";
import MonthlyTempChart from "@/views/SensorData/MonthlyTempChart";
import MonthlyHumidChart from "@/views/SensorData/MonthlyHumidChart";

export default {
  name: "SensorArchiveData",
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },
  data() {
    return {
      title: '',
      sensorData: ''
    }
  },
  components: {
    MonthlyTempChart,
    MonthlyHumidChart
  },
  mounted() {
    if (this.$route.query.sensorId) {
      this.getWeeklyData()
    }
  },
  methods: {

    getWholeData() {
      SensorService.getSensorDataBySensorId(this.$route.query.sensorId).then(
          response => {
            this.sensorData = response.data;
            this.$emit('passedData', this.sensorData);
            this.title = 'z całego okresu działania sensora ';
          },
          error => {
            this.sensorData =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );
    },

    getMontlyData() {
      SensorService.getMonthlySensorData(this.$route.query.sensorId).then(
          response => {
            this.sensorData = response.data;
            this.$emit('passedData', this.sensorData);
            this.title = 'z ostatniego miesiąca '
          },
          error => {
            this.sensorData =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );
    },
    getWeeklyData() {
      SensorService.getWeeklySensorData(this.$route.query.sensorId).then(
          response => {
            this.sensorData = response.data;
            this.$emit('passedData', this.sensorData);
            this.title = 'z ostatniego tygodnia '
          },
          error => {
            this.sensorData =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );
    }
  }
}
</script>

<style scoped>

</style>